Last Comment Bug 291150 - fun with jar and rel="icon"
: fun with jar and rel="icon"
Status: RESOLVED FIXED
[sg:fix] (fixed by 290949 patch)
: fixed-aviary1.0.4, fixed1.7.8
Product: SeaMonkey
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: 1.7 Branch
: x86 Linux
: -- critical (vote)
: ---
Assigned To: Daniel Veditz [:dveditz]
:
Mentors:
http://www.guninski.com/mozbugs/jar1....
: 292894 (view as bug list)
Depends on: 290949
Blocks: sbb?
  Show dependency treegraph
 
Reported: 2005-04-20 07:57 PDT by georgi - hopefully not receiving bugspam
Modified: 2008-07-31 04:30 PDT (History)
5 users (show)
dveditz: blocking1.7.8+
dveditz: blocking‑aviary1.0.4+
dveditz: blocking‑aviary1.5+
bob: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
testcase (366 bytes, text/html)
2005-04-20 10:21 PDT, Daniel Veditz [:dveditz]
no flags Details
testcase that works (308 bytes, text/html)
2005-04-20 10:36 PDT, Daniel Veditz [:dveditz]
no flags Details

Description georgi - hopefully not receiving bugspam 2005-04-20 07:57:09 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

chrome privileges

Reproducible: Always

Steps to Reproduce:
url
Actual Results:  
getting owned

Expected Results:  
not getting owned

may need to exit mozilla and reload testcase.
Comment 1 Daniel Veditz [:dveditz] 2005-04-20 10:18:58 PDT
Confirmed. This is fixed by the patch for bug 290949 (which was accidentally
attached to bug 290982).

I'll mark it as a dependent bug instead of dupe so we don't forget to retest,
just in case that patch evolves into something that doesn't fix it.
Comment 2 Daniel Veditz [:dveditz] 2005-04-20 10:21:49 PDT
Created attachment 181302 [details]
testcase
Comment 3 Daniel Veditz [:dveditz] 2005-04-20 10:36:04 PDT
Created attachment 181305 [details]
testcase that works

previous version suffered from save-as escaped url.
Comment 4 Daniel Veditz [:dveditz] 2005-04-20 10:38:34 PDT
sometimes you need to clear the cache to get the testcase to work.
Comment 5 Asa Dotzler [:asa] 2005-04-26 12:58:40 PDT
bug 290949 isn't blocking 1.8b2. Should this be?
Comment 6 Daniel Veditz [:dveditz] 2005-05-04 14:04:11 PDT
*** Bug 292894 has been marked as a duplicate of this bug. ***
Comment 7 Daniel Veditz [:dveditz] 2005-05-13 13:22:42 PDT
fixed
Comment 8 Daniel Veditz [:dveditz] 2005-05-18 13:10:01 PDT
Clearing security flag from announced vulnerabilities fixed in Firefox
1.0.4/Mozilla 1.7.8

Note You need to log in before you can comment on or make changes to this bug.